Description

at http://mule1.dataone.org/ArchitectureDocs-current/apis/MN_APIs.html#MN_storage.update

the return comment seems to be wrong:

The identifier that was used to insert the document into the system, which should be the same as pid.

correct to:  "... which should be the same as newPid."

History

#1 - 2011-04-06 17:58 - Dave Vieglais

- Status changed from New to Closed

yup. docs updated, change will be propagated with next commit.

#2 - 2011-04-06 19:07 - Rob Nahf

- Status changed from Closed to In Progress

found another spot where the doc for update is confusing.  Where it says: "The object that is being obsoleted is passed in as a parameter, ..."

I think it would be better to say:

"The pid of the object that is being obsoleted is passed in as a parameter, ..." 

#3 - 2011-04-06 19:39 - Dave Vieglais

- Status changed from In Progress to Closed

Try again...

#4 - 2011-04-06 21:37 - Rob Nahf

- Status changed from Closed to In Progress

found another typo in the error section:

"The update operation failed because the object which was supposed to be updated in the system (indicated via the obsoletedPid parameter) is not

present in the DataONE system, so update is an illegal operation."

should be:  ... (indicated via the pid parameter) ...
#5 - 2011-08-30 02:11 - Dave Vieglais

- Position set to 33

#6 - 2011-11-03 19:49 - Dave Vieglais

- Milestone set to None

- Status changed from In Progress to Closed
